Modify

Opened 12 years ago

Closed 10 years ago

Last modified 9 years ago

#552 closed Support Requests (fixed)

Building universal binary on MacOSX

Reported by: shaishasag Owned by: René Rivera
Milestone: Component: build
Version: None Severity: Showstopper
Keywords: Cc:

Description (last modified by René Rivera)

I'm using boost libraries on Windows (VC++) And MacOSX
(gcc).

Currently on MacOSX boost compiles for PPC processor.
As Apple is moving to Intel processors, I would like to
be able to compile boost, on the Mac for both PPC and
Intel.

Apple created the universal binary format, where you
compile and link the code twice, the only difference in
the compilation is a single option: -arch ppc or -arch
i386.

Later a tool called CreateUniversalBinary is called
upon the linked codes. CreateUniversalBinary merges the
two binaries into one. During runtime, the operating
system loads the code and chooses which part to run,
according to the local processor.

I tried looking into the jamfiles but was overwhelmed
by the complexity.

What would be the best method to achieve universal
binary on MacOSX?

Attachments (0)

Change History (6)

comment:1 Changed 12 years ago by Daryle Walker

Logged In: YES 
user_id=551024

There is a third option for a universal binary section.  The "ppc" option
is for 32-bit PowerPC chips.  There is another option for the 64-bit
version of that chip line.  I think the option's name is "ppc64", but I'm
not certain.  The G5 processors can use the "ppc64" setting, but only
for non-GUI programs.  A universal binary can have all three sections.
Maybe we should include all three in Mac OS X builds?

comment:2 Changed 11 years ago by René Rivera

Component: Building Boostbuild
Description: modified (diff)
Severity: Showstopper

comment:3 Changed 10 years ago by anonymous

In fact, there are four possible architectures: ppc, ppc64, i386, and x86_64. A truly universal build will have all four!

comment:4 Changed 10 years ago by René Rivera

Resolution: Nonefixed
Status: assignedclosed

(In [41592]) Support building of universal binaries using architecture options. Thanks to Mat Marcus. (fixes #552 #1342 #989)

comment:5 Changed 10 years ago by Eric Niebler

(In [41596]) Merged revisions 41488-41595 via svnmerge from https://svn.boost.org/svn/boost/trunk

........

r41489 | djowel | 2007-11-30 02:07:41 -0800 (Fri, 30 Nov 2007) | 1 line

fixed link

........

r41493 | grafik | 2007-11-30 07:56:42 -0800 (Fri, 30 Nov 2007) | 1 line

Mode proposal.pdf to new web site. (fixes #1364)

........

r41494 | grafik | 2007-11-30 07:58:59 -0800 (Fri, 30 Nov 2007) | 1 line

Obsolete. (fixes #1362)

........

r41497 | grafik | 2007-11-30 08:21:49 -0800 (Fri, 30 Nov 2007) | 1 line

Move the content of old more/links.html doc to new web site. (fixes #1360).

........

r41500 | bemandawes | 2007-11-30 08:44:23 -0800 (Fri, 30 Nov 2007) | 1 line

Refresh examples, add example build script, reflect that in docs. Apply suggestions from Darren Cook.

........

r41501 | grafik | 2007-11-30 09:13:02 -0800 (Fri, 30 Nov 2007) | 1 line

Obsolete. (fixes #1365)

........

r41502 | grafik | 2007-11-30 09:16:00 -0800 (Fri, 30 Nov 2007) | 1 line

Obsolete. (fixes #1348)

........

r41504 | grafik | 2007-11-30 09:45:24 -0800 (Fri, 30 Nov 2007) | 1 line

Obsolete. (fixes #1345)

........

r41505 | anthonyw | 2007-11-30 10:38:21 -0800 (Fri, 30 Nov 2007) | 1 line

interruptible_wait (and hence condition timed_wait) now uses a WaitableTimer? where possible, to be robust in the face of clock changes

........

r41506 | danieljames | 2007-11-30 11:28:46 -0800 (Fri, 30 Nov 2007) | 2 lines

Frank Mori Hess's patch to get the documentation building.

........

r41511 | danieljames | 2007-11-30 12:06:44 -0800 (Fri, 30 Nov 2007) | 3 lines

Remove the formal review schedule, as it has been moved to the new site. Fixes #1351

........

r41519 | djowel | 2007-11-30 17:11:44 -0800 (Fri, 30 Nov 2007) | 1 line

remove old unused file

........

r41521 | dave | 2007-11-30 18:15:17 -0800 (Fri, 30 Nov 2007) | 7 lines

Boost.Python:

  • Workarounds for many SunCC 5.9 bugs
  • Suppression of many SunCC 5.9 warnings
  • Improve the style of some test invocations in Jamfile

........

r41526 | dave | 2007-11-30 21:07:13 -0800 (Fri, 30 Nov 2007) | 2 lines

Fixed grammar in error message

........

r41529 | niels_dekker | 2007-12-01 04:14:37 -0800 (Sat, 01 Dec 2007) | 1 line

Added value_init tests, based upon GCC bug report by Jonathan Wakely. Added URL to Borland bug report.

........

r41530 | niels_dekker | 2007-12-01 05:57:06 -0800 (Sat, 01 Dec 2007) | 1 line

Marked value_init_test failures on GCC as "expected failures", referring to ticket #1491

........

r41532 | vladimir_prus | 2007-12-01 06:56:23 -0800 (Sat, 01 Dec 2007) | 2 lines

Change the detection of 64-bit windows to handle EM64T processors.

........

r41534 | danieljames | 2007-12-01 08:44:20 -0800 (Sat, 01 Dec 2007) | 4 lines

Transfer the rest of the version history to the new website.

Fixes #1374.

........

r41535 | grafik | 2007-12-01 08:44:54 -0800 (Sat, 01 Dec 2007) | 1 line

Plug memory leak when closing out actions. Thanks to Martin Kortmann for finding this.

........

r41538 | vladimir_prus | 2007-12-01 09:56:47 -0800 (Sat, 01 Dec 2007) | 2 lines

Document 64-bit compilation.

........

r41539 | danieljames | 2007-12-01 09:58:44 -0800 (Sat, 01 Dec 2007) | 2 lines

Mark hash_long_double_test as failing on all PA-RISC compilers.

........

r41540 | igaztanaga | 2007-12-01 10:01:15 -0800 (Sat, 01 Dec 2007) | 1 line

Simplified mutexes for systems with no _POSIX_TIMEOUTS.

........

r41542 | vladimir_prus | 2007-12-01 11:07:22 -0800 (Sat, 01 Dec 2007) | 4 lines

Add <testing.arg> functionality to unit-test rule.

Patch from Mark Desnoyer.

........

r41544 | jhunold | 2007-12-01 11:27:06 -0800 (Sat, 01 Dec 2007) | 2 lines

Silence compiler by adding cosmetic virtual destructors.

........

r41547 | vladimir_prus | 2007-12-01 12:06:43 -0800 (Sat, 01 Dec 2007) | 1 line

Document runtime-link

........

r41548 | grafik | 2007-12-01 12:17:52 -0800 (Sat, 01 Dec 2007) | 1 line

Add support for detection and building with vc9. (fixes #1490)

........

r41549 | jhunold | 2007-12-01 12:24:51 -0800 (Sat, 01 Dec 2007) | 2 lines

Silence compiler by adding cosmetic virtual destructors.

........

r41550 | jhunold | 2007-12-01 12:26:37 -0800 (Sat, 01 Dec 2007) | 3 lines

Remove unused paramters. Add -Wextra to gcc flags to enable more warnings.

........

r41552 | grafik | 2007-12-01 12:40:56 -0800 (Sat, 01 Dec 2007) | 1 line

Remove borders from simple list tables.

........

r41553 | grafik | 2007-12-01 12:42:27 -0800 (Sat, 01 Dec 2007) | 1 line

Remove borders from simple list tables.

........

r41554 | t_schwinger | 2007-12-01 12:52:00 -0800 (Sat, 01 Dec 2007) | 3 lines

Using central stylesheet now.

........

r41555 | vladimir_prus | 2007-12-01 13:26:09 -0800 (Sat, 01 Dec 2007) | 1 line

Document STLport

........

r41556 | grafik | 2007-12-01 13:53:47 -0800 (Sat, 01 Dec 2007) | 1 line

Document various "new" features, and add in the history till now for 3.1.16. (fixes #1445 #1447 #1448)

........

r41557 | vladimir_prus | 2007-12-01 14:31:04 -0800 (Sat, 01 Dec 2007) | 1 line

Remove unused method

........

r41562 | grafik | 2007-12-01 17:59:02 -0800 (Sat, 01 Dec 2007) | 1 line

No-op no-empty action.

........

r41563 | grafik | 2007-12-01 18:03:48 -0800 (Sat, 01 Dec 2007) | 1 line

';' can't be a no-op on nix.

........

r41565 | grafik | 2007-12-01 20:06:28 -0800 (Sat, 01 Dec 2007) | 1 line

Remove outdated release procedures, and move content to wiki. Content moved to <http://svn.boost.org/trac/boost/wiki/ReleasePractices/Procedures> and <http://svn.boost.org/trac/boost/wiki/ReleasePractices/ManagerCheckList>. (fixes #1366 #1367)

........

r41566 | grafik | 2007-12-01 20:22:34 -0800 (Sat, 01 Dec 2007) | 1 line

Remove obsolete images. (fixes #1257)

........

r41568 | grafik | 2007-12-01 22:56:38 -0800 (Sat, 01 Dec 2007) | 1 line

"Who's Using Boost?" content moved to new web site.

........

r41569 | grafik | 2007-12-01 23:02:12 -0800 (Sat, 01 Dec 2007) | 1 line

"Who's Using Boost?" content moved to new web site.

........

r41571 | igaztanaga | 2007-12-02 01:25:53 -0800 (Sun, 02 Dec 2007) | 1 line

Added missing #include <typeinfo> overwritten by previous commit

........

r41572 | danieljames | 2007-12-02 01:59:15 -0800 (Sun, 02 Dec 2007) | 1 line

Add some parameters to the standalone hash build.

........

r41574 | danieljames | 2007-12-02 02:23:58 -0800 (Sun, 02 Dec 2007) | 2 lines

Initialise svnmerge.

........

r41575 | danieljames | 2007-12-02 02:25:22 -0800 (Sun, 02 Dec 2007) | 1 line

Fix the navbar links.

........

r41577 | jhunold | 2007-12-02 03:51:08 -0800 (Sun, 02 Dec 2007) | 3 lines

Revert revisions 41544 and 41549. See http://lists.boost.org/Archives/boost/2007/12/131116.php for details.

........

r41580 | danieljames | 2007-12-02 05:47:31 -0800 (Sun, 02 Dec 2007) | 2 lines

Revert a change I mean to make on the fix-links branch.

........

r41582 | danieljames | 2007-12-02 06:15:25 -0800 (Sun, 02 Dec 2007) | 5 lines

Remove formal_review_process, it looks like I forgot to when I updated the version in the new site.

Refs #1350.

........

r41587 | grafik | 2007-12-02 09:03:43 -0800 (Sun, 02 Dec 2007) | 1 line

Obsolete.

........

r41588 | hkaiser | 2007-12-02 09:18:54 -0800 (Sun, 02 Dec 2007) | 1 line

Applied patch supplied by Jens Seidel. Fixed #1410.

........

r41590 | hkaiser | 2007-12-02 11:08:13 -0800 (Sun, 02 Dec 2007) | 1 line

Wave: More fixes to allow error free compilation of every header on its own.

........

r41592 | grafik | 2007-12-02 12:15:25 -0800 (Sun, 02 Dec 2007) | 1 line

Support building of universal binaries using architecture options. Thanks to Mat Marcus. (fixes #552 #1342 #989)

........

r41593 | niels_dekker | 2007-12-02 14:10:45 -0800 (Sun, 02 Dec 2007) | 1 line

Added missing GCC version (4.0) to expected GCC failures of value_init_test

........

comment:6 Changed 9 years ago by Jürgen Hunold

(In [46777]) Add merge information for manual merges from trunk

Recorded merge of revisions 41414-41417,41421-41422,41424-41431,41434-41435,41437-41438,41441-41445,41448-41456,41461,41463-41466,41468-41476,41482-41488,41490-41492,41495-41496,41498-41499,41503,41507-41510,41512-41518,41520,41522-41525,41527-41528,41531,41533,41535-41537,41541-41543,41545-41546,41548,41551,41556-41564,41567,41570,41573,41576,41578-41579,41581,41583-41586,41589,41591-41592,41594-41612,41614-41620,41622-41624,41626-41635,41637,41639-41641,41643,41652,41654-41662,41664-41666,41669-41678,41680,41685,41689-41695,41699-41700,41702,41706-41726,41728-41733,41735-41737,41743-41761,41763-41769,41771-41774,41776-41777,41779-41787,41790,41792-41794,41796-41797,41799-41800,41803-41804,41806-41818,41820-41822,41824-41829,41831-41844,41846-41862,41865,41869,41871-41906,41909-41918,41920-41941,41943-41954,41958-41965,41967,41969,41971-41972,41974-41975,41977-41979,41981-41982,41984-41985,41989,41991-42000,42002-42004,42008,42010-42011,42019,42021-42022,42024,42026-42034,42036-42046,42048-42052,42054-42063,42066,42068,42070-42073,42075,42077,42079,42081,42083-42085,42088-42104,42106-42111,42113-42115,42122-42126,42128-42137,42139-42140,42142-42144,42146-42163,42170-42193,42197-42201,42203-42216,42218-42219,42225-42226,42230-42233,42235-42263,42265,42268-42269,42271-42273,42275-42276,42279-42296,42299,42301,42303-42306,42308-42309,42312-42321,42323-42329,42331-42340,42342,42344-42356,42358-42360,42362-42369,42372-42377,42379-42380,42391-42395,42397-42412,42419-42420,42423,42425-42428,42431-42432,42434,42437-42439,42442-42446,42450-42454,42457-42458,42460-42461,42463-42470,42472,42474,42476-42477,42479-42495,42497-42501,42503-42504,42506-42526,42541-42543,42545-42562,42566-42569,42574,42577,42579,42582-42586,42589-42590,42592-42595,42597-42599,42601,42604-42611,42614,42618,42621-42623,42629-42640,42643,42649-42650,42652-42656,42659-42663,42667-42669,42671,42673,42675-42676,42678-42683,42685-42687,42690,42692,42694-42697,42699,42702-42705,42709-42712,42714,42716-42721,42725-42728,42730-42740,42742-42744,42746,42748-42749,42757,42760-42765,42768-42770,42772,42774-42775,42777,42782-42787,42790-42796,42799-42803,42805-42806,42808-42810,42812,42819-42820,42824,42826,42828-42835,42837-42838,42842,42844-42850,42854,42860-42867,42870-42872,42874-42876,42879-42880,42883-42889,42891-42896,42900-42903,42905,42907-42908,42910,42912-42915,42919-42928,42930,42932-42933,42936-42937,42939-42942,42944-42947,42949,42955-42956,42959-42962,42966-42969,42971,42973,42975,42978-42979,42981,42983,42993-42996,42998-42999,43004-43005,43007-43008,43010-43011,43015,43017,43019-43022,43027-43030,43032-43034,43036,43039,43043-43045,43047-43049,43051-43053,43058-43060,43062-43079,43081-43082,43084,43086,43088,43090-43093,43095-43100,43102,43104-43105,43108-43110,43114-43116,43119,43122-43124,43126-43128,43131,43137,43139-43140,43142,43144,43146-43147,43149,43151-43153,43158,43160-43165,43167-43170,43172-43174,43178-43187,43194-43198,43201-43203,43208,43211,43214-43219,43222-43225,43227-43238,43242,43244-43245,43249-43250,43257-43259,43261,43263,43265,43267-43268,43270-43271,43273,43275-43282,43284-43289,43291,43295,43297-43298,43304-43305,43307,43313,43315,43324,43326-43327,43331,43333,43335-43336,43339-43343,43345,43348,43350,43352-43353,43355-43356,43358,43360,43366-43367,43369-43370,43372-43376,43378-43389,43394,43396-43398,43400-43401,43403-43408,43413-43415,43420,43425-43427,43429-43432,43436,43439-43440,43442-43457,43459-43460,43462-43463,43465-43466,43474-43475,43477,43479-43483,43486-43495,43497-43500,43504-43505,43507,43510-43522,43526-43527,43529,43532-43533,43536-43537,43543,43545,43547-43554,43556-43564,43566 via svnmerge from https://svn.boost.org/svn/boost/trunk

........

r41414 | grafik | 2007-11-27 18:53:56 +0100 (Tue, 27 Nov 2007) | 1 line

Remove non-existent option info.

........

r41415 | grafik | 2007-11-27 18:55:13 +0100 (Tue, 27 Nov 2007) | 1 line

Add some utility output formatting functions.

........

r41416 | grafik | 2007-11-27 18:57:15 +0100 (Tue, 27 Nov 2007) | 1 line

Check empty string invariants, instead of assuming all strings are allocated. And reset strings when they are freed.

........

r41417 | grafik | 2007-11-27 18:58:50 +0100 (Tue, 27 Nov 2007) | 1 line

Fix buffer overrun bug in expanding @() subexpressions.

........

r41429 | noel_belcourt | 2007-11-28 03:27:13 +0100 (Wed, 28 Nov 2007) | 3 lines

Fix pathscale rpath issue per Alain Minussi's suggestion.

........

r41430 | grafik | 2007-11-28 08:08:13 +0100 (Wed, 28 Nov 2007) | 1 line

Add test for result status values of simple actions, i.e. empty actions.

........

r41431 | grafik | 2007-11-28 08:21:49 +0100 (Wed, 28 Nov 2007) | 19 lines

build-system.jam

  • Reflect added start/end timestamps for actions in xml output. And update action rules for new args.

execcmd.h

  • Add start/end timestamps to action timing info.

execnt.c

  • Fix filetime_seconds calculation when time is larger than low 32 bit value.
  • Add calc of C time_t from Windows FILETIME.
  • Add start/end timestamps recording to action timing info.

execunix.c

  • Add start/end timestamps recording to action timing info.

jam.c

  • Change JAMDATE to use common ISO date format.

make1.c

  • Redo TIMING_RULE and ACTIONRULE invocations to new argument ordering and added end/result timestamp values.

........

r41485 | grafik | 2007-11-30 02:41:20 +0100 (Fri, 30 Nov 2007) | 1 line

Add combined architectures, from Mat Marcus, in support of Darwin universal builds.

........

r41535 | grafik | 2007-12-01 17:44:54 +0100 (Sat, 01 Dec 2007) | 1 line

Plug memory leak when closing out actions. Thanks to Martin Kortmann for finding this.

........

r41542 | vladimir_prus | 2007-12-01 20:07:22 +0100 (Sat, 01 Dec 2007) | 4 lines

Add <testing.arg> functionality to unit-test rule.

Patch from Mark Desnoyer.

........

r41548 | grafik | 2007-12-01 21:17:52 +0100 (Sat, 01 Dec 2007) | 1 line

Add support for detection and building with vc9. (fixes #1490)

........

r41556 | grafik | 2007-12-01 22:53:47 +0100 (Sat, 01 Dec 2007) | 1 line

Document various "new" features, and add in the history till now for 3.1.16. (fixes #1445 #1447 #1448)

........

r41557 | vladimir_prus | 2007-12-01 23:31:04 +0100 (Sat, 01 Dec 2007) | 1 line

Remove unused method

........

r41562 | grafik | 2007-12-02 02:59:02 +0100 (Sun, 02 Dec 2007) | 1 line

No-op no-empty action.

........

r41563 | grafik | 2007-12-02 03:03:48 +0100 (Sun, 02 Dec 2007) | 1 line

';' can't be a no-op on nix.

........

r41592 | grafik | 2007-12-02 21:15:25 +0100 (Sun, 02 Dec 2007) | 1 line

Support building of universal binaries using architecture options. Thanks to Mat Marcus. (fixes #552 #1342 #989)

........

r41626 | grafik | 2007-12-03 03:57:49 +0100 (Mon, 03 Dec 2007) | 1 line

Work around some Windows CMD.EXE programs that will fail executing a totally empty batch file.

........

r41627 | grafik | 2007-12-03 04:06:22 +0100 (Mon, 03 Dec 2007) | 1 line

Work around some Windows CMD.EXE programs that will fail executing a totally empty batch file.

........

r41629 | grafik | 2007-12-03 05:05:39 +0100 (Mon, 03 Dec 2007) | 1 line

Bump bjam to 3.1.17 after 3.1.16 release.

........

r41639 | vladimir_prus | 2007-12-03 11:39:46 +0100 (Mon, 03 Dec 2007) | 2 lines

Fix 64-bit windows msvc detection, again.

........

r41707 | noel_belcourt | 2007-12-05 00:18:38 +0100 (Wed, 05 Dec 2007) | 6 lines

Fixes to get pgi shared libraries working, executables that don't core, and limiting the number of error messages emitted by the compiler so as to reduce the size of the log file.

........

r41735 | noel_belcourt | 2007-12-05 04:20:30 +0100 (Wed, 05 Dec 2007) | 3 lines

Patch pgi shared library use.

........

r41736 | grafik | 2007-12-05 05:33:36 +0100 (Wed, 05 Dec 2007) | 1 line

Fix parsing of macosx version numbers from detected SDKs.

........

r41842 | dave | 2007-12-08 00:23:39 +0100 (Sat, 08 Dec 2007) | 2 lines

Fix msvc auto-configuration (yikes!)

........

r41889 | johnmaddock | 2007-12-08 17:04:54 +0100 (Sat, 08 Dec 2007) | 2 lines

Removed double quoting of Doxygen title. Fixes: http://lists.boost.org/boost-users/2007/12/32523.php

........

r41979 | vladimir_prus | 2007-12-11 20:41:47 +0100 (Tue, 11 Dec 2007) | 1 line

Put add-usage-requirements back

........

r41981 | vladimir_prus | 2007-12-11 20:46:19 +0100 (Tue, 11 Dec 2007) | 2 lines

When searching for headers, ignore directories, just like gcc does.

........

r42247 | grafik | 2007-12-22 22:32:17 +0100 (Sat, 22 Dec 2007) | 1 line

Fix time related callbacks to new arguments.

........

r42295 | vladimir_prus | 2007-12-25 10:11:37 +0100 (Tue, 25 Dec 2007) | 4 lines

Fix detection of RC compiler presense, and null obj fallback.

Thanks to Juergen Hunold for the bug report.

........

r42296 | vladimir_prus | 2007-12-25 10:25:25 +0100 (Tue, 25 Dec 2007) | 4 lines

Fix typos.

Patch from Jurko Gospodnetic

........

r42299 | vladimir_prus | 2007-12-25 10:36:26 +0100 (Tue, 25 Dec 2007) | 2 lines

Remove unnecessary imports.

........

r42301 | vladimir_prus | 2007-12-25 10:43:44 +0100 (Tue, 25 Dec 2007) | 5 lines

Make the Tester.copy method open files in binary mode. This fixes the searched_lib.py failure on Windows.

Patch from Jurko Gospodnetic.

........

r42309 | noel_belcourt | 2007-12-26 23:17:03 +0100 (Wed, 26 Dec 2007) | 5 lines

Add support for intel-darwin toolset and fix intel.jam to dispatch intel toolset on darwin to intel-darwin.

........

r42476 | bemandawes | 2008-01-05 15:41:55 +0100 (Sat, 05 Jan 2008) | 1 line

Disable Microsoft "secure" overloads in Dinkumware libraries since they cause compile errors with Intel versions 9 and 10

........

r42479 | jurko | 2008-01-05 17:53:03 +0100 (Sat, 05 Jan 2008) | 1 line

Updated Boost.Jam command line option texts. Minor stylistic changes.

........

r42480 | jurko | 2008-01-05 17:55:36 +0100 (Sat, 05 Jan 2008) | 1 line

Typo corrections. Minor stylistic changes.

........

r42481 | jurko | 2008-01-05 17:56:42 +0100 (Sat, 05 Jan 2008) | 1 line

Typo correction. Corrected an invalid command-line option name.

........

r42482 | jurko | 2008-01-05 17:57:17 +0100 (Sat, 05 Jan 2008) | 1 line

Corrected an invalid command-line option name reference.

........

r42483 | jurko | 2008-01-05 17:58:01 +0100 (Sat, 05 Jan 2008) | 1 line

Corrected an out-of-date comment listing all command-line options.

........

r42484 | jurko | 2008-01-05 18:11:50 +0100 (Sat, 05 Jan 2008) | 1 line

Corrected the used file suffix for the VERBATIM file type. Now the documentation is in sync with the 'customization' example. This also closes the Trac ticket 134. Minor stylistic changes.

........

r42485 | jurko | 2008-01-05 18:46:45 +0100 (Sat, 05 Jan 2008) | 1 line

Stylistic comment changes & typo corrections.

........

r42486 | jurko | 2008-01-05 18:52:31 +0100 (Sat, 05 Jan 2008) | 1 line

Stylistic comment changes & typo corrections in several files. Corrected an incorrect error message in boost-build/build/project.jam displayed when a --build-dir command-line option and a non top-level project build-dir attribute are specified.

........

r42487 | jurko | 2008-01-05 18:54:02 +0100 (Sat, 05 Jan 2008) | 1 line

Cleaned up some import rule calls.

........

r42488 | jurko | 2008-01-05 19:02:23 +0100 (Sat, 05 Jan 2008) | 1 line

Documentation wording cleaned up a bit.

........

r42489 | jurko | 2008-01-05 19:13:10 +0100 (Sat, 05 Jan 2008) | 1 line

Removed or simplified some import calls. Comment updates. Minor stylistic changes.

........

r42490 | jurko | 2008-01-05 19:14:20 +0100 (Sat, 05 Jan 2008) | 2 lines

Simplified the used make rules. Removed some dead code. Minor stylistic changes.

........

r42492 | jurko | 2008-01-05 19:29:36 +0100 (Sat, 05 Jan 2008) | 1 line

Removed trailing spaces and some empty lines.

........

r42494 | jurko | 2008-01-05 21:02:24 +0100 (Sat, 05 Jan 2008) | 1 line

Minor stylistic changes such as: comment typo corrections, wrapping lines to 80 characters, indentations, removing trailing spaces, etc.

........

r42495 | jurko | 2008-01-05 21:06:15 +0100 (Sat, 05 Jan 2008) | 2 lines

Cleaned up where the stage module is imported in tools/builtin.jam. Added a missing import in tools/stage.jam that causes errors with the previous fix. Minor stylistic changes in tools/stage.jam.

........

r42497 | jurko | 2008-01-05 21:37:44 +0100 (Sat, 05 Jan 2008) | 1 line

Minor stylistic changes - cleaned up import calls, wrapped much text at 80 characters updated comments, typo corrections, removed trailing spaces, etc.

........

r42498 | jurko | 2008-01-05 21:48:50 +0100 (Sat, 05 Jan 2008) | 1 line

Renamed some Jamfile and project-root.jam references to Jamfile.jam and Jamroot.jam respectively.

........

r42499 | jurko | 2008-01-05 22:37:15 +0100 (Sat, 05 Jan 2008) | 1 line

Test code cleaned up a bit. No functional changes.

........

r42504 | jurko | 2008-01-06 00:18:17 +0100 (Sun, 06 Jan 2008) | 1 line

Refactored the test into two separate test functions. Made the 'directory names with dots' test use the expect_output_line() tool instead of a manual find, causing a better diagnostic to be displayed in case of a failure. Made one of the test Jam scripts more compact. Made the test use the Jamroot.jam file instead of project-root.jam.

........

r42506 | jurko | 2008-01-06 01:25:48 +0100 (Sun, 06 Jan 2008) | 1 line

No functional changes but only stylistic changes such as: comment typo corrections, wrapping lines to 80 characters, indentations, removing trailing spaces, removing empty lines, made tests use Jamfile.jam and Jamroot.jam Boost Build script names, removed unnecessary module imports, etc.

........

r42507 | jurko | 2008-01-06 01:53:09 +0100 (Sun, 06 Jan 2008) | 1 line

No functional changes but only stylistic changes such as: comment typo corrections, wrapping lines to 80 characters, indentations, removing trailing spaces, removing empty lines, removed unnecessary module imports, etc.

........

r42508 | jurko | 2008-01-06 07:15:39 +0100 (Sun, 06 Jan 2008) | 5 lines

Refactored build-system.jam. Added many detailed comments.

Test configuration module now gets loaded the same as all other configuration modules.

In addition to being able to specify which user configuration to load, user may now also prevent loading the user configuration by specifying an empty file name for it.

........

r42509 | jurko | 2008-01-06 07:50:56 +0100 (Sun, 06 Jan 2008) | 1 line

Added a --test-config command-line option for specifying where the test configuration file should be loaded from instead of always being looked up in Boost Build's test folder. This allows non-test builds to not use test config when it exists on the system and different tests to use different test configurations when needed.

........

r42510 | jurko | 2008-01-06 07:58:24 +0100 (Sun, 06 Jan 2008) | 1 line

Specifying that a build uses test configuration no longer prevents toolset auto-configuration and therefore no longer causes --toolset options to be ignored.

........

r42511 | jurko | 2008-01-06 08:13:28 +0100 (Sun, 06 Jan 2008) | 1 line

Minor stylistic comment changes.

........

r42512 | jurko | 2008-01-06 08:17:08 +0100 (Sun, 06 Jan 2008) | 1 line

Added support for choosing the toolset and toolset version to be used 'by default' by Boost Build. Allows testing of default toolset functionality.

........

r42513 | jurko | 2008-01-06 08:26:46 +0100 (Sun, 06 Jan 2008) | 1 line

Upgraded the tool for testing that a certain line exists in the given output support so that it now also knows how to test that a certain line does not exist in the given output.

........

r42514 | jurko | 2008-01-06 08:28:47 +0100 (Sun, 06 Jan 2008) | 1 line

Added the --ignore-site-config option telling Boost.Build not to load the site configuration file.

........

r42516 | jurko | 2008-01-06 09:16:34 +0100 (Sun, 06 Jan 2008) | 1 line

Stylistic changes: typo corrections, comment alignments, output string updates, no functional changes, etc.

........

r42546 | jurko | 2008-01-06 21:06:33 +0100 (Sun, 06 Jan 2008) | 1 line

Corrected a bug with the customized default toolset being read from the toolset module but defined in the build-system module. Effect was that customized default toolsets were getting ignored.

........

r42547 | jurko | 2008-01-06 21:37:55 +0100 (Sun, 06 Jan 2008) | 1 line

Simple code cleanup. Typo corrections.

........

r42548 | jurko | 2008-01-06 21:43:25 +0100 (Sun, 06 Jan 2008) | 1 line

Added support for tests configuring whether they want their Boost Build to ignore toolset requirements instead of always ignoring them. Minor stylistic changes.

........

r42549 | jurko | 2008-01-06 21:56:20 +0100 (Sun, 06 Jan 2008) | 1 line

Added new tests related to Boost Build's default toolset handling. They test that the correct default toolset gets use and that when it gets used that has no different status than any other explicitly specified toolset.

........

r42566 | jurko | 2008-01-07 18:00:59 +0100 (Mon, 07 Jan 2008) | 1 line

Corrected explicitly specified user-config file handling. Was not looking for the specified file in the regular path instead of the current folder and did not work with absolute paths.

........

r42567 | jurko | 2008-01-07 19:15:13 +0100 (Mon, 07 Jan 2008) | 1 line

Code cleanup. Converted to using True/False? instead of 1/0. Changed to obey documented coding conventions regarding whitespace and function parameters. Renamed private member functions to use the name prefix.

........

r42568 | jurko | 2008-01-07 19:38:28 +0100 (Mon, 07 Jan 2008) | 1 line

Added a new configuration test making sure that the bug with not being able to process absolute user-config configuration file references never rears its ugly head again.

........

r42598 | grafik | 2008-01-08 03:49:25 +0100 (Tue, 08 Jan 2008) | 1 line

Mostly fix bad path calc for direct html from doxygen doc generation. (fixes #1562)

........

r42614 | jurko | 2008-01-08 16:21:15 +0100 (Tue, 08 Jan 2008) | 1 line

Made some debugging messages more consistent.

........

r42629 | jurko | 2008-01-09 05:05:29 +0100 (Wed, 09 Jan 2008) | 8 lines

Updated the ACTION_RULE to not return its action command output as a single string but instead split it into a list of output lines. This allows Jam code using this output to work correctly independently of what newline character combinations are in use. This was causing problems with Boost Build unit tests which can now be updated to pass.

Consequences & checks:

  • Final ACTION_RULE rule parameter has changed from output ? to output-lines *.
  • Updated corresponding Jam documentation.
  • Updated the all related Boost Build code.
  • No code on the Boost trunk uses this rule except for Boost Build itself.

........

r42630 | jurko | 2008-01-09 05:15:35 +0100 (Wed, 09 Jan 2008) | 1 line

Fixed a failing test by making it access action output using the ACTION_RULE rule so it would not be affected by the level of debug output given by Boost Build/Jam?.

........

r42631 | jurko | 2008-01-09 05:30:25 +0100 (Wed, 09 Jan 2008) | 1 line

Fixed a failing test by making it access its action results using the ACTION_RULE rule. Now it works with the default debug level settings (i.e. no action output displayed).

........

r42632 | grafik | 2008-01-09 05:31:58 +0100 (Wed, 09 Jan 2008) | 1 line

Revert various changes that break backward compatibility, and also some minor edits.

........

r42633 | grafik | 2008-01-09 05:34:12 +0100 (Wed, 09 Jan 2008) | 1 line

Revert various changes that break backward compatibility, and also some minor edits.

........

r42637 | jurko | 2008-01-09 15:36:37 +0100 (Wed, 09 Jan 2008) | 1 line

Updated the test so it passes on Windows. Had to change it to enable action output logging and compensate for the fact that now action names are sent to the output as well. Minor stylistic changes.

........

r42639 | jurko | 2008-01-09 18:03:45 +0100 (Wed, 09 Jan 2008) | 1 line

Updated the test so it passes on Windows. Had to change it to enable action output logging and compensate for the fact that now action names are sent to the output as well. Minor stylistic changes.

........

r42676 | jurko | 2008-01-11 14:44:51 +0100 (Fri, 11 Jan 2008) | 1 line

Removed the manual boost-build.jam file creation since that file already exists in the SVN repository and this only overwrote it with the same content minus the copyright notice. Removed a reference to the no longer existing boost_build_v2.html file.

........

r42801 | jurko | 2008-01-15 22:13:52 +0100 (Tue, 15 Jan 2008) | 1 line

Minor stylistic comment changes. Removed trailing spaces.

........

r42837 | jurko | 2008-01-18 02:14:17 +0100 (Fri, 18 Jan 2008) | 1 line

Stylistic changes. Removed trailing spaces. Removed empty lines. Corrected comment typos and wording.

........

r42884 | jurko | 2008-01-20 21:18:50 +0100 (Sun, 20 Jan 2008) | 5 lines

Minor stylistic changes:

  • Removed trailing spaces.
  • Added a comment for code discovering the user's home-directories.
  • Removed a stale regex import.
  • Removed an old corpse 'identity' rule found inside the test rule.

........

r42939 | eric_niebler | 2008-01-24 00:25:24 +0100 (Thu, 24 Jan 2008) | 1 line

fix quickbook scanner to recognize the [import ...] block

........

r42960 | noel_belcourt | 2008-01-25 05:41:16 +0100 (Fri, 25 Jan 2008) | 6 lines

Changed the -soname and -shared options in intel-darwin.jam to use -dynamiclib and -install_name, as done in darwin.jam. Apparently the Intel compilers on the Mac support the same options as gcc for setting the internal dynamic library name.

........

r42971 | noel_belcourt | 2008-01-25 20:52:47 +0100 (Fri, 25 Jan 2008) | 2 lines

Fixed a typo to yesterdays patch.

........

r43007 | vladimir_prus | 2008-01-29 07:28:09 +0100 (Tue, 29 Jan 2008) | 1 line

Retain top-level boost-build.jam

........

r43008 | vladimir_prus | 2008-01-29 07:40:06 +0100 (Tue, 29 Jan 2008) | 4 lines

Disable relinking when <target-os> is either windows or cygwin.

Fixes #1062.

........

r43043 | jurko | 2008-02-01 01:27:31 +0100 (Fri, 01 Feb 2008) | 1 line

Reverted changes made in rev 43038 which seem to have been committed by mistake and include some user specific settings in it local to the comitter's environment while this file is intended to be used as generic template for actual user-config.jam files and do nothing in case user does not specify his own settings there.

........

r43044 | jurko | 2008-02-01 01:44:23 +0100 (Fri, 01 Feb 2008) | 1 line

Minor stylistic spacing changes. Remove trailing spaces.

........

r43045 | jurko | 2008-02-01 01:46:50 +0100 (Fri, 01 Feb 2008) | 1 line

Corrected outputting native Windows paths so that it works correctly for absolute paths without the drive letter being explicitly specified, e.g. \aaa\bbb or /aaa/bbb.

........

r43052 | noel_belcourt | 2008-02-02 03:41:23 +0100 (Sat, 02 Feb 2008) | 4 lines

Fix a typo in pgi.jam that prevented shared libraries from being built correctly.

........

r43147 | vladimir_prus | 2008-02-07 11:17:03 +0100 (Thu, 07 Feb 2008) | 2 lines

Attempt to unbreak <library-file>

........

r43152 | vladimir_prus | 2008-02-07 12:04:30 +0100 (Thu, 07 Feb 2008) | 4 lines

Fix <framework> with no path.

Patch from Jon Olsson.

........

r43165 | dgregor | 2008-02-07 22:08:09 +0100 (Thu, 07 Feb 2008) | 1 line

Support for non-blocking MPI operations in Python, from Andreas Kloeckner

........

r43179 | noel_belcourt | 2008-02-08 18:53:50 +0100 (Fri, 08 Feb 2008) | 13 lines

I've added the -single_module option to the intel-darwin.link.dll action to fix this linker error when linking dylibs:

ld: common symbols not allowed with MH_DYLIB output format with the -multi_module option boost/bin.v2/libs/system/build/intel-darwin-9.1/debug/macosx-version-10.4/error_code.o

definition of common ZGVZNK5boost6system14error_category7messageEiE1s (size 16)

boost/bin.v2/libs/system/build/intel-darwin-9.1/debug/macosx-version-10.4/error_code.o

definition of common ZZNK5boost6system14error_category7messageEiE1s (size 16)

though I would note that the common symbols problem occurs in a number of other libraries (test, graph, spirit, ...) as well.

........

r43280 | jurko | 2008-02-16 17:50:42 +0100 (Sat, 16 Feb 2008) | 1 line

Corrected comments related to the allowed linker & linker-type values. Minor stylistic changes.

........

r43281 | jurko | 2008-02-16 17:53:33 +0100 (Sat, 16 Feb 2008) | 1 line

Added support for compiling C++ programs without RTTI support using the gcc toolset.

........

r43282 | jurko | 2008-02-16 18:03:54 +0100 (Sat, 16 Feb 2008) | 1 line

Made the msvc toolset always explicitly enable or disable rtti support based on the <rtti> feature value instead of only setting it if <rtti>on and depending on it being disabled by default. The original behaviour did not work well with msvc 8.0 for which there was not way to disable rtti support as that compiler enables rtti support by default.

........

r43335 | grafik | 2008-02-20 23:50:03 +0100 (Wed, 20 Feb 2008) | 1 line

Add the <python.interpreter> to all requirements to allow other toolsets to use the currently configured python instead of relying on python being in the path.

........

r43336 | grafik | 2008-02-21 00:01:43 +0100 (Thu, 21 Feb 2008) | 1 line

Use the configured python interpreter instead of assuming it's in the path.

........

r43405 | vladimir_prus | 2008-02-24 13:59:04 +0100 (Sun, 24 Feb 2008) | 3 lines

Recognize that fact, for that for intel-win, <runtime-debuggin> matters and should be added to the library name.

........

r43526 | vladimir_prus | 2008-03-06 07:06:17 +0100 (Thu, 06 Mar 2008) | 6 lines

Add 'pythonpath' feature to specify additional PYTHONPATH elements. Make bpl-test correctly set dependencies if used with multiple .pyd sources.

Patch from Joshua Napoli.

........

r43527 | vladimir_prus | 2008-03-06 07:57:27 +0100 (Thu, 06 Mar 2008) | 6 lines

Arrange for HPP source to be scanned for #includes, too. This fixes PCH not being rebuild when some other headers included from HPP being compiled change.

Thanks to Pierre-Luc Neron for the bug report.

........

r43537 | vladimir_prus | 2008-03-07 17:18:13 +0100 (Fri, 07 Mar 2008) | 1 line

Fix PCH on OSX

........

r43566 | noel_belcourt | 2008-03-11 18:57:54 +0100 (Tue, 11 Mar 2008) | 6 lines

A user-config.jam that defined multiple python toolsets exposed an error in the python.jam init rule. Moved the feature definition out of the init rule to avoid the feature redefinition error.

........

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain René Rivera.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.